%global _empty_manifest_terminate_build 0
Name:		python-soupsieve
Version:	2.4
Release:	1
Summary:	A modern CSS selector implementation for Beautiful Soup.
License:	MIT
URL:		https://github.com/facelessuser/soupsieve
Source0:        https://github.com/facelessuser/soupsieve/archive/%{version}/%{name}-%{version}.tar.gz	
BuildArch:	noarch

%description
Soup Sieve is a CSS selector library designed to be used with Beautiful Soup 4.
It aims to provide selecting, matching, and filtering using modern CSS selectors.
Soup Sieve currently provides selectors from the CSS level 1 specifications up
through the latest CSS level 4 drafts and beyond (though some are not yet implemented).

%package -n python3-soupsieve
Summary:	A modern CSS selector implementation for Beautiful Soup.
Provides:	python-soupsieve = %{version}-%{release}
# Base build requires
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-editables
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
%description -n python3-soupsieve
Soup Sieve is a CSS selector library designed to be used with Beautiful Soup 4.
It aims to provide selecting, matching, and filtering using modern CSS selectors.
Soup Sieve currently provides selectors from the CSS level 1 specifications up
through the latest CSS level 4 drafts and beyond (though some are not yet implemented).

%package help
Summary:	Development documents and examples for soupsieve
Provides:	python3-soupsieve-doc
%description help
Soup Sieve is a CSS selector library designed to be used with Beautiful Soup 4.
It aims to provide selecting, matching, and filtering using modern CSS selectors.
Soup Sieve currently provides selectors from the CSS level 1 specifications up
through the latest CSS level 4 drafts and beyond (though some are not yet implemented).

%prep
%autosetup -n soupsieve-%{version}

%build
%pyproject_build

%install
%pyproject_install soupsieve==%{version}

%files -n python3-soupsieve
%{python3_sitelib}/soupsieve/
%{python3_sitelib}/soupsieve*.dist-info/
%doc README.md
%license LICENSE.md

%changelog
* Tue Apr 25 2023 Dongxing Wang <dxwangk@isoftstone.com> - 2.4-1
- Update package to version 2.4

* Wed Nov 30 2022 wangjunqi <wangjunqi@kylinos.cn> - 2.3.2.post1-1
- Update package to version 2.3.2.post1

* Wed Jun 15 2022 OpenStack_SIG <openstack@openeuler.org> - 2.3.1-1
- Upgrade package python3-soupsieve to version 2.3.1

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.2-2
- DESC: delete -S git from %autosetup

* Thu Jul 15 2021 OpenStack_SIG <openstack@openeuler.org> - 2.2-1
- Package Spec generate
